use time::{Month, OffsetDateTime};

/// Print the startup message which changes depending on system time.
pub fn print_startup_msg() {
    // now or fallback to utc
    let now = OffsetDateTime::now_local().unwrap_or_else(|_| OffsetDateTime::now_utc());

    if now.month() == Month::June {
        // pride startup message
        println!("Hello, thanks for using iOwO and happy pride month!");
        // TODO: proper link with explaination
        println!("Why pride month is important in {}", now.year());
    } else {
        println!("Hello, thanks for using iOwO! :3");
    }
}
